Update
curl --request PATCH \
--url https://{defaultHost}/v1/tax_overrides/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tax_override": {
"rate": 5,
"label": "GST + PST"
}
}
'import requests
url = "https://{defaultHost}/v1/tax_overrides/{id}"
payload = { "tax_override": {
"rate": 5,
"label": "GST + PST"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tax_override: {rate: 5, label: 'GST + PST'}})
};
fetch('https://{defaultHost}/v1/tax_overrides/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{defaultHost}/v1/tax_overrides/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'tax_override' => [
'rate' => 5,
'label' => 'GST + PST'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{defaultHost}/v1/tax_overrides/{id}"
payload := strings.NewReader("{\n \"tax_override\": {\n \"rate\": 5,\n \"label\": \"GST + PST\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://{defaultHost}/v1/tax_overrides/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"tax_override\": {\n \"rate\": 5,\n \"label\": \"GST + PST\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{defaultHost}/v1/tax_overrides/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"tax_override\": {\n \"rate\": 5,\n \"label\": \"GST + PST\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "44d4414d-e9d7-4325-a4c0-0079bd10aee7",
"object": "tax_override",
"label": "GST + PST",
"shipping": false,
"rate": 5,
"product_collection": "35956c7a-6151-40ed-b1cf-f9f6ba455503",
"tax_zone": "4948c33f-35b1-4507-87b0-8f5cf445ad48",
"created_at": 1793797015,
"updated_at": 1793797015
}Tax Overrides
Update
Updates a specific tax override.
PATCH
/
v1
/
tax_overrides
/
{id}
Update
curl --request PATCH \
--url https://{defaultHost}/v1/tax_overrides/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tax_override": {
"rate": 5,
"label": "GST + PST"
}
}
'import requests
url = "https://{defaultHost}/v1/tax_overrides/{id}"
payload = { "tax_override": {
"rate": 5,
"label": "GST + PST"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tax_override: {rate: 5, label: 'GST + PST'}})
};
fetch('https://{defaultHost}/v1/tax_overrides/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{defaultHost}/v1/tax_overrides/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'tax_override' => [
'rate' => 5,
'label' => 'GST + PST'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{defaultHost}/v1/tax_overrides/{id}"
payload := strings.NewReader("{\n \"tax_override\": {\n \"rate\": 5,\n \"label\": \"GST + PST\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://{defaultHost}/v1/tax_overrides/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"tax_override\": {\n \"rate\": 5,\n \"label\": \"GST + PST\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{defaultHost}/v1/tax_overrides/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"tax_override\": {\n \"rate\": 5,\n \"label\": \"GST + PST\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "44d4414d-e9d7-4325-a4c0-0079bd10aee7",
"object": "tax_override",
"label": "GST + PST",
"shipping": false,
"rate": 5,
"product_collection": "35956c7a-6151-40ed-b1cf-f9f6ba455503",
"tax_zone": "4948c33f-35b1-4507-87b0-8f5cf445ad48",
"created_at": 1793797015,
"updated_at": 1793797015
}Authorizations
Response
200 - application/json
Success
Was this page helpful?